API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class GeneExpressionData

Package | ch.unil.cbg.ExpressionView.model
Class | public class GeneExpressionData
Inheritance | GeneExpressionData flash.events.EventDispatcher

Public Properties

| Property | Defined by
--- | --- | ---
|  | dataOrigin : Boolean | GeneExpressionData
|  | geneLabels : Vector | GeneExpressionData
|  | GenesLookup : Vector | GeneExpressionData
|  | GenesLookupP : Vector | GeneExpressionData
|  | goLabels : Vector | GeneExpressionData
|  | keggLabels : Vector | GeneExpressionData
|  | moduleLabels : Vector | GeneExpressionData
|  | Modules : XMLListCollection | GeneExpressionData
|  | ModulesColors : Vector | GeneExpressionData
|  | ModulesLookupGenes : Vector | GeneExpressionData
|  | ModulesLookupGOs : Vector | GeneExpressionData
|  | ModulesLookupGOsP : Vector | GeneExpressionData
|  | ModulesLookupKEGGs : Vector | GeneExpressionData
|  | ModulesLookupKEGGsP : Vector | GeneExpressionData
|  | ModulesLookupModules : Vector | GeneExpressionData
|  | ModulesLookupSamples : Vector | GeneExpressionData
|  | nGenes : int | GeneExpressionData
|  | nModules : int | GeneExpressionData
|  | nSamples : int | GeneExpressionData
|  | sampleLabels : Vector | GeneExpressionData
|  | SamplesLookup : Vector | GeneExpressionData
|  | SamplesLookupP : Vector | GeneExpressionData
|  | xAxisLabel : String | GeneExpressionData
|  | XMLData : XML | GeneExpressionData
|  | yAxisLabel : String | GeneExpressionData

Public Methods

| Method | Defined by
--- | --- | ---
|  | GeneExpressionData() | GeneExpressionData
|  | generatedModules():Array | GeneExpressionData
|  | getInfo(module:int, gene:int, sample:int):Array | GeneExpressionData
|  | getModule(module:int):GeneExpressionModule | GeneExpressionData
|  | initialize(data:XML):void | GeneExpressionData

Property detail

dataOrigin | property

`public var dataOrigin:Boolean`

geneLabels | property |

`public var geneLabels:Vector`

GenesLookup | property |

`public var GenesLookup:Vector`

GenesLookupP | property |

`public var GenesLookupP:Vector`

goLabels | property |

`public var goLabels:Vector`

keggLabels | property |

`public var keggLabels:Vector`

moduleLabels | property |

`public var moduleLabels:Vector`

Modules | property |

`public var Modules:XMLListCollection`

ModulesColors | property |

`public var ModulesColors:Vector`

ModulesLookupGenes | property |

`public var ModulesLookupGenes:Vector`

ModulesLookupGOs | property |

`public var ModulesLookupGOs:Vector`

ModulesLookupGOsP | property |

`public var ModulesLookupGOsP:Vector`

ModulesLookupKEGGs | property |

`public var ModulesLookupKEGGs:Vector`

ModulesLookupKEGGsP | property |

`public var ModulesLookupKEGGsP:Vector`

ModulesLookupModules | property |

`public var ModulesLookupModules:Vector`

ModulesLookupSamples | property |

`public var ModulesLookupSamples:Vector`

nGenes | property |

`public var nGenes:int`

nModules | property |

`public var nModules:int`

nSamples | property |

`public var nSamples:int`

sampleLabels | property |

`public var sampleLabels:Vector`

SamplesLookup | property |

`public var SamplesLookup:Vector`

SamplesLookupP | property |

`public var SamplesLookupP:Vector`

xAxisLabel | property |

`public var xAxisLabel:String`

XMLData | property |

`public var XMLData:XML`

yAxisLabel | property |

`public var yAxisLabel:String`
Constructor detail

GeneExpressionData | () | constructor

`public function GeneExpressionData()`
Method detail

generatedModules | () | method

`public function generatedModules():Array`

Returns

| `Array`

getInfo | () | method |

`public function getInfo(module:int, gene:int, sample:int):Array` Parameters

| `module:int`
| `gene:int`
| `sample:int`

Returns

| `Array`

getModule | () | method |

`public function getModule(module:int):GeneExpressionModule` Parameters

| `module:int`

Returns

| `GeneExpressionModule`

initialize | () | method |

`public function initialize(data:XML):void` Parameters

| `data:XML`